From 2cf61f7b304a819480d87354be5db01d384b327b Mon Sep 17 00:00:00 2001
From: "Kirill A. Korinsky" <kirill@korins.ky>
Date: Tue, 13 Jun 2023 11:57:02 +0200
Subject: [PATCH] fix headers

See: https://gitlab.archlinux.org/archlinux/packaging/packages/sympol/-/blob/main/sympol-fix-headers.patch
---
 sympol/CMakeLists.txt | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

diff --git sympol/CMakeLists.txt sympol/CMakeLists.txt
index 70fdf05..2df91eb 100644
--- sympol/CMakeLists.txt
+++ sympol/CMakeLists.txt
@@ -104,11 +104,6 @@ install(FILES
   configuration.h
   facesuptosymmetrylist.h
   facewithdata.h
-  matrix/algorithm.h
-  matrix/invert.h
-  matrix/matrix.h
-  matrix/rank.h
-  matrix/zmatrix.h
   polyhedrondatastorage.h
   polyhedron.h
   polyhedronio.h
@@ -127,6 +122,16 @@ install(FILES
   symmetrycomputationidm.h
   symmetrycomputationidmmemento.h
   symmetrycomputationmemento.h
+  types.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/sympol)
+install(FILES
+  matrix/algorithm.h
+  matrix/invert.h
+  matrix/matrix.h
+  matrix/rank.h
+  matrix/zmatrix.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/sympol/matrix)
+install(FILES
   symmetrygroupconstruction/computesymmetries.h
   symmetrygroupconstruction/graphconstructionbliss.h
   symmetrygroupconstruction/graphconstructiondefault.h
@@ -134,10 +139,11 @@ install(FILES
   symmetrygroupconstruction/matrixconstructiondefault.h
   symmetrygroupconstruction/matrixconstructioneigen.h
   symmetrygroupconstruction/matrixconstruction.h
-  types.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/sympol/symmetrygroupconstruction)
+install(FILES
   yal/logger.h
   yal/reportlevel.h
   yal/usagestats.h
-  DESTINATION ${INCLUDE_INSTALL_DIR}/sympol)
+  DESTINATION ${INCLUDE_INSTALL_DIR}/sympol/yal)
 install(FILES ../man/sympol.1
         DESTINATION "share/man/man1")
-- 
2.41.0

